Skip to main content
`Ctrl`+`K`

# conductance

conductance(G, S, T=None, weight=None)

  Returns the conductance of two sets of nodes.

  The conductance is the quotient of the cut size and the smaller of the volumes of the two sets. [1]

  Parameters:
    G NetworkX graph
    S collection

      A collection of nodes in `G`.

    T collection

      A collection of nodes in `G`.

    weight object

      Edge attribute key to use as weight. If not specified, edges have weight one.

  Returns:
    number

      The conductance between the two sets `S` and `T`.

  See also

  `cut_size`
  `edge_expansion`
  `normalized_cut_size`
  `volume`

  References

  [1]

  David Gleich. Hierarchical Directed Spectral Graph Partitioning. <https://www.cs.purdue.edu/homes/dgleich/publications/Gleich%202005%20-%20hierarchical%20directed%20spectral.pdf>